Package org.eclipse.viatra.query.patternlanguage.emf.annotations.impl

## Class SafeRecursionAnnotationValidator

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.annotations.PatternAnnotationValidator
  - - org.eclipse.viatra.query.patternlanguage.emf.annotations.impl.SafeRecursionAnnotationValidator

- All Implemented Interfaces:
    `IPatternAnnotationValidator`

      public class SafeRecursionAnnotationValidator
      extends PatternAnnotationValidator

  Annotation information for the

      SafeRecursion

  annotation for VQL.
  Since:
    2.9

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ANNOTATION_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SafeRecursionAnnotationValidator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Optional<IPatternAnnotationAdditionalValidator>` | `getAdditionalValidator()` | Provides an additional validator implementation.

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.emf.annotations.PatternAnnotationValidator

      `getAllAvailableParameterNames, getAnnotationName, getDescription, getDescription, getExpectedParameterType, getMissingMandatoryAttributes, getUnknownAttributes, isDeprecated, isDeprecated`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ANNOTATION_NAME

          public static final java.lang.String ANNOTATION_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SafeRecursionAnnotationValidator

          public SafeRecursionAnnotationValidator()

  - ### Method Detail

    - #### getAdditionalValidator

          public java.util.Optional<IPatternAnnotationAdditionalValidator> getAdditionalValidator()

      Description copied from interface: `IPatternAnnotationValidator`
      Provides an additional validator implementation.
      Specified by:
        `getAdditionalValidator` in interface `IPatternAnnotationValidator`
      Overrides:
        `getAdditionalValidator` in class `PatternAnnotationValidator`
      Returns:
        the validator object